Skip to main content
GET
Institutional Activity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

A large entity that manages funds and investments for others. Queryable by name or cik.

Example:

"VANGUARD GROUP INC or 0000102909"

Query Parameters

ticker_symbol
string

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

start_date
string<date>

Start date to filter institutional reporting data in the format YYYY-MM-DD.

Only data with dates on or after this date will be returned.

Example:

"2023-01-01T00:00:00.000Z"

end_date
string<date>

End date to filter institutional reporting data in the format YYYY-MM-DD.

Only data with dates on or before this date will be returned.

Example:

"2023-03-31T00:00:00.000Z"

limit
integer
default:500

How many items to return. Max: 500. Min: 1. Returns up to 500 when omitted.

Required range: 1 <= x <= 500
Example:

10

page
integer

Page number (use with limit). Starts on page 0.

Example:

1

order
enum<string>
default:units

Optional columns to order the result by per report period end date.

Available options:
units,
units_change
Example:

"units"

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

Response

The trading activities for a given institution.

avg_price
string
Example:

"23.49"

buy_price
string
Example:

"23.49"

close
string

The close stock price of the ticker.

Example:

"182.91"

filing_date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

price_on_filing
string

The security price on the filing date.

Example:

"23.49"

price_on_report
string

The security price on the report date.

Example:

"23.49"

put_call
string

Whether the holding is a put or a call (null if neither).

Example:

"put"

report_date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

security_type
string
Example:

"Share"

sell_price
string
Example:

"23.49"

shares_outstanding
string

Total outstanding shares for the ticker.

Example:

"424295343.0"

ticker
string
Example:

"MSFT"

units
integer
Example:

4103

units_change
integer

The change in units

Example:

-320

Last modified on September 29, 2026